Page MenuHomePhabricator

TTMServerMessageUpdateJob fails in labs
Closed, ResolvedPublic

Description

The TTMServerMessageUpdateJob constantly failing in beta cluster because of Invalid configuration in mirrors, unknown service codfw - codfw doesn't exist in labs, so a special version of configuration should be put in CommonSettings-labs.php in order to override prod settings with just eqiad.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 30 2017, 10:36 AM

@dcausse Has something changed in labs with regards to ElasticSearch?

@Nikerabbit nothing that I'm aware of. If this error is new I have no idea what could have happened.
Reading the code in CommonSettings I think there's bug there, it properly checks for wmfAllServices to not add a cluster but it still adds the mirror config.
(So, I don't think this error is new).

Change 387281 had a related patch set uploaded (by DCausse; owner: DCausse):
[operations/mediawiki-config@master] Properly check for cluster existence prior setting TTM mirrors

https://gerrit.wikimedia.org/r/387281

Change 387281 merged by jenkins-bot:
[operations/mediawiki-config@master] Properly check for cluster existence prior setting TTM mirrors

https://gerrit.wikimedia.org/r/387281

Mentioned in SAL (#wikimedia-operations) [2017-11-01T13:43:50Z] <hashar@tin> Synchronized wmf-config/CommonSettings.php: Properly check for cluster existence prior setting TTM mirrors - T179270 (duration: 01m 05s)

dcausse closed this task as Resolved.Nov 1 2017, 1:46 PM

The mirror config is now empty in labs and should not cause issues anymore.